<h2>Upload werkzoekenden</h2>


<div class="card">
  <div class="card-body">
    <label>Upload werkzoekenden voor gemeente {{selectedGemeente}}:</label>
    <div class="file-input">
      <label>Bestand</label>
      <button class="btn btn-secondary btn-sm" (click)="fileInput.click()">
        {{ file ? file.name : 'Selecteren' }}
      </button>
      <input hidden type="file" #fileInput (change)="onFileInput(fileInput.files)"/>
    </div>

    <div class="form-check">
      <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault" (change)="toggleChecked($event)">
      <label class="form-check-label" for="flexCheckDefault">
        Alle profielen zijn met toestemming van de werkzoekende aangeboden
      </label>
    </div>

    <div>
      <button class="btn btn-secondary btn-sm" [disabled]="!file || !selectedGemeente || !checkBoxchecked " type="submit"
              (click)="onSubmit()">
        Indienen
      </button>
    </div>
    <mat-progress-bar *ngIf="upload$ | async as download"
                      [mode]="download.state == 'PENDING' ? 'buffer' : 'determinate'" [value]="download.progress">
    </mat-progress-bar>
  </div>
</div>
